# == Class: omsa::params
#
# This is a container class holding default parameters for omsa module.
#
class omsa::params {
  case $::operatingsystem {
    /(?i:debian|devuan|ubuntu)/: {
      $omsa_package_name = [ 'srvadmin-base',
                          'srvadmin-storageservices',
                          'srvadmin-omcommon' ]
      $omsa_service_name = 'dataeng'
    }
    /(?i:centos|fedora|redhat)/: {
      $omsa_package_name = [ 'srvadmin-base',
                          'srvadmin-storageservices',
                          'srvadmin-omcommon' ]
      $omsa_service_name = 'dataeng'
    }
    default                    : {
      fail("Module ${module_name} is not supported on ${::operatingsystem}")
    }
  }
}
# EOF
